Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class Node.NType.BitField

    java.lang.Object
      de.grogra.reflect.MemberBase
          de.grogra.persistence.PersistenceField
              de.grogra.persistence.ManageableType.Field
                  de.grogra.graph.impl.Node.NType.Field
                      de.grogra.graph.impl.Node.NType.BitField

All Implemented Interfaces:
  Field, FieldChain, Member, XObject

Enclosing class:
  Node.NType

    public static final class Node.NType.BitField

extends Node.NType.Field

Field Summary

Fields inherited from class de.grogra.persistence.ManageableType.Field
`DEFINES_SHARED, FCO, GETS_COPY, HIDDEN, OBJECT_CLASS_MASK, SCO, UNMANAGED`

Fields inherited from class de.grogra.reflect.MemberBase
`annots, declaringType, descriptor, modifiers, name`

Fields inherited from interface de.grogra.reflect.Field
`FIELD_0, INTERFACE_MODIFIERS, MODIFIERS`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`Node.NType.BitField(Node.NType declaring, java.lang.String name, int modifiers, Type type, int mask)`

Method Summary
`boolean` | `getBoolean(java.lang.Object object)`
`int` | `getInt(java.lang.Object object)`
`void` | `setBoolean(java.lang.Object object, boolean value)`
`void` | `setInt(java.lang.Object object, int value)`

Methods inherited from class de.grogra.graph.impl.Node.NType.Field
`getAttribute, getByte, getChar, getDependentAttribute, getDouble, getFloat, getLong, getObject, getShort, getXClass, getXData, initXClass, setByte, setChar, setDouble, setFloat, setLong, setObjectImpl, setShort`

Methods inherited from class de.grogra.persistence.ManageableType.Field
`cast, concat, containsSCO, getArrayChain, getArrayComponent, getBoolean, getByte, getChar, getCloned, getDouble, getFieldId, getFloat, getInt, getLastField, getLong, getMaxValue, getMinValue, getObject, getQuantity, getSerializationMethod, getShallowSubchain, getShort, getSubfield, getType, insertBoolean, insertByte, insertChar, insertDouble, insertFloat, insertInt, insertLong, insertObject, insertShort, isArrayComponent, isGetReturningCopy, length, overlaps, readObject, removeBoolean, removeByte, removeChar, removeDouble, removeFloat, removeInt, removeLong, removeObject, removeShort, setBoolean, setByte, setChar, setDouble, setFloat, setInt, setLong, setMaxValue, setMinValue, setObject, setObject, setQuantity, setShort, toString, writeObject`

Methods inherited from class de.grogra.persistence.PersistenceField
`get, get, getField, isWritable, set`

Methods inherited from class de.grogra.reflect.MemberBase
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Constructor Detail

### Node.NType.BitField

    public Node.NType.BitField(Node.NType declaring,
                               java.lang.String name,
                               int modifiers,
                               Type type,
                               int mask)

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.Object object)

  Specified by:
    `getBoolean` in interface `Field`
  Overrides:
    `getBoolean` in class `Node.NType.Field`

### getInt

    public int getInt(java.lang.Object object)

  Specified by:
    `getInt` in interface `Field`
  Overrides:
    `getInt` in class `Node.NType.Field`

### setBoolean

    public void setBoolean(java.lang.Object object,
                           boolean value)

  Specified by:
    `setBoolean` in interface `Field`
  Overrides:
    `setBoolean` in class `Node.NType.Field`

### setInt

    public void setInt(java.lang.Object object,
                       int value)

  Specified by:
    `setInt` in interface `Field`
  Overrides:
    `setInt` in class `Node.NType.Field`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD